> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/template-extraction/template-extraction/classify-catalogue.md).

# Use Classify Catalogue to SpeedUp Classification

Learn how to optimize classification speed by generating cache with Create Classification Cache. EnableCacheLookup(true) for TemplateClassifier.Builder. Apryse Template Extraction SDK on .NET uses int

If you have generated cache to optimize the classification speed, Look to ([Create Classification Cache](/template-extraction/template-extraction/create-classification-cache.md)), you can utilize it by calling \`EnableCacheLookup(true)\` for \`TemplateClassifier.Builder\`.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
         var inputFile = "./input_file.tif"; 
         var templatesFolder = "./templates"; 
 
         using TemplatesCollection templates = new TemplatesCollection.Builder() 
            .FromSourceFolder(templatesFolder) 
            .Build(); 
 
         using TemplateClassifier classifier = new TemplateClassifier.Builder() 
            .SetTemplatesSource(templates) 
            .EnableCacheLookup (true) 
            .SetRuntimeFolder("./runtimes") 
            .SetLicense(["...", "..."]) 
            .Build(); 

         using FileStream stm = new FileStream(inputFile, FileMode.Open, FileAccess.Read, FileShare.Read); 

         Result<ClassifyResult> classifyResult = classifier.Classify(new InputStream(stm)); 
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
      String inputFile = "./input_file.tif"; 
      String templatesFolder = "./templates"; 
      String[] license = new String[2]; 
      license[0] = "";
      license[1] = "";

      TemplatesCollection templates = new TemplatesCollection.Builder() 
         .fromSourceFolder(templatesFolder) 
         .build(); 

      TemplateClassifier classifier = new TemplateClassifier.Builder() 
         .setTemplatesSource(templates) 
         .enableCacheLookup (true) 
         .setRuntimeFolder("./runtimes") 
         .setLicense(license) 
         .build(); 

      ILeadStream stm = LeadStreamFactory.create(inputFile); 

      Result<ClassifyResult> classifyResult = classifier.classify(new InputStream(stm, "", "", ""), null, null);

      classifyResult.dispose();
      classifier.dispose();
      templates.dispose();

```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/template-extraction/template-extraction/classify-catalogue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
